Debian Bug report logs - #697251
gnupg2: gnupg key import memory corruption

version graph

Package: gnupg2; Maintainer for gnupg2 is Eric Dorland <eric@debian.org>; Source for gnupg2 is src:gnupg2.

Reported by: Christoph Anton Mitterer <calestyo@scientia.net>

Date: Thu, 3 Jan 2013 03:21:01 UTC

Severity: critical

Tags: security

Found in version gnupg2/2.0.19-1

Fixed in version gnupg2/2.0.19-2

Done: Eric Dorland <eric@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, team@security.debian.org, secure-testing-team@lists.alioth.debian.org, Eric Dorland <eric@debian.org>:
Bug#697251; Package gnupg2. (Thu, 03 Jan 2013 03:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
New Bug report received and forwarded. Copy sent to team@security.debian.org, secure-testing-team@lists.alioth.debian.org, Eric Dorland <eric@debian.org>. (Thu, 03 Jan 2013 03:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnupg2: gnupg key import memory corruption
Date: Thu, 03 Jan 2013 04:19:35 +0100
Package: gnupg2
Version: 2.0.19-1
Severity: critical
Tags: security
Justification: root security hole


Hi.

This is a follow up for #697108 and CVE-2012-6085.

While it seems that all world fixes this only for gpg 1.4.x Werner's
bug entry[0,1] implies that 2.x is also affected.
Could you please have a look?


btw: Marking as root security hole, because people may use gpg2 to
e.g. manually verify packages before installing them. Yeah I know,... apt
would use gpg1 where it is already fixed. But better too high severity, than
sorry ;)


Cheers,
Chris.

[0] https://bugs.g10code.com/gnupg/issue1455
[1] https://bugs.g10code.com/gnupg/msg4493



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#697251; Package gnupg2. (Thu, 03 Jan 2013 03:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Thu, 03 Jan 2013 03:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 697251@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: 697251@bugs.debian.org
Subject: Re: gnupg2: gnupg key import memory corruption
Date: Thu, 03 Jan 2013 04:25:14 +0100
[Message part 1 (text/plain, inline)]
btw: The corresponding redhat bug[0] seems to already contain some
backported patches till 2.0.20 comes out.


[0] https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2012-6085
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#697251; Package gnupg2. (Thu, 03 Jan 2013 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. (Thu, 03 Jan 2013 18:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 697251@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Christoph Anton Mitterer <calestyo@scientia.net>, 697251@bugs.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Thu, 3 Jan 2013 13:09:49 -0500
[Message part 1 (text/plain, inline)]
Thanks for the heads up. Will get to it later today.

* Christoph Anton Mitterer (calestyo@scientia.net) wrote:
> btw: The corresponding redhat bug[0] seems to already contain some
> backported patches till 2.0.20 comes out.
> 
> 
> [0] https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2012-6085



-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com

[signature.asc (application/pgp-signature, inline)]

Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. (Fri, 04 Jan 2013 06:36:06 GMT) Full text and rfc822 format available.

Notification sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Bug acknowledged by developer. (Fri, 04 Jan 2013 06:36:06 GMT) Full text and rfc822 format available.

Message #20 received at 697251-close@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 697251-close@bugs.debian.org
Subject: Bug#697251: fixed in gnupg2 2.0.19-2
Date: Fri, 04 Jan 2013 06:32:36 +0000
Source: gnupg2
Source-Version: 2.0.19-2

We believe that the bug you reported is fixed in the latest version of
gnupg2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697251@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eric Dorland <eric@debian.org> (supplier of updated gnupg2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Jan 2013 00:56:52 -0500
Source: gnupg2
Binary: gnupg-agent scdaemon gpgsm gnupg2
Architecture: source amd64
Version: 2.0.19-2
Distribution: unstable
Urgency: high
Maintainer: Eric Dorland <eric@debian.org>
Changed-By: Eric Dorland <eric@debian.org>
Description: 
 gnupg-agent - GNU privacy guard - password agent
 gnupg2     - GNU privacy guard - a free PGP replacement (new v2.x)
 gpgsm      - GNU privacy guard - S/MIME version
 scdaemon   - GNU privacy guard - smart card support
Closes: 697251
Changes: 
 gnupg2 (2.0.19-2) unstable; urgency=high
 .
   * debian/patches/02-cve-2012-6085.diff: Patch from upstream to fix
     CVE-2012-6085, "gnupg key import memory corruption". (Closes: #697251)
   * debian/control: Use canonical addresses for VCS.
   * debian/control: Fix scdaemon short description.
Checksums-Sha1: 
 c4350fdae252a72de990f17ffed0343b2b8245f4 1595 gnupg2_2.0.19-2.dsc
 80812ec94e6edf0c0695ec97c01a7f06d3842c5c 16034 gnupg2_2.0.19-2.debian.tar.bz2
 aa8398d1268e0a054d5f95d48c1e37e8fa0929e0 464876 gnupg-agent_2.0.19-2_amd64.deb
 372a509e74d6e1093397b06ca12267f981ede106 217540 scdaemon_2.0.19-2_amd64.deb
 8f282a3acde493fa6f74493346581c7be63e5041 255960 gpgsm_2.0.19-2_amd64.deb
 32b9abde748c4eb23535e3961e2bebc3d172a7ca 2283718 gnupg2_2.0.19-2_amd64.deb
Checksums-Sha256: 
 fa215f2ad0922b254e70c02bcf1026ba8a30ddac11f5b115a48c3ea7c9499af8 1595 gnupg2_2.0.19-2.dsc
 9270596930bedbbe8a8d69152793c315e5188c28765f0ffcb21789ecd6b29aee 16034 gnupg2_2.0.19-2.debian.tar.bz2
 ebbd151c24dfeeca511711fdaddb58fd0c27b718c4430b7cb7b04de7bcdc52eb 464876 gnupg-agent_2.0.19-2_amd64.deb
 d5d81630867b7f4da2699eee6606cdc5f4477776d703a9a9861f33c0549bb8e0 217540 scdaemon_2.0.19-2_amd64.deb
 2db6b3bd9164385cfc2730b4e22c37c59ace1cced9c748dcffc5102fea014265 255960 gpgsm_2.0.19-2_amd64.deb
 ba13b33b0921ac0451956d5df213ff9e0981b34b7307201dfd93b4777ea011e4 2283718 gnupg2_2.0.19-2_amd64.deb
Files: 
 4dff28834bec7f4701999df6e646fba7 1595 utils optional gnupg2_2.0.19-2.dsc
 d6080123c70f90947485723b175da541 16034 utils optional gnupg2_2.0.19-2.debian.tar.bz2
 d6b741c37dca5acf12511eba4cd6730e 464876 utils optional gnupg-agent_2.0.19-2_amd64.deb
 6b94af9ea60a84cea0f0eff77411355b 217540 utils optional scdaemon_2.0.19-2_amd64.deb
 1cd1abd11ab1e2ef70db2447d6e2037c 255960 utils optional gpgsm_2.0.19-2_amd64.deb
 200cde741c0d711a2291ab850962028d 2283718 utils optional gnupg2_2.0.19-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDmdO4ACgkQYemOzxbZcMazlACgpudqWwnpj63j7upoGUi1K10u
seoAniNvNBQmJfMJPyTvRo8q58uoErd/
=FwmR
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#697251; Package gnupg2. (Fri, 04 Jan 2013 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Fri, 04 Jan 2013 10:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 697251@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: 697251@bugs.debian.org
Cc: team@security.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Fri, 4 Jan 2013 11:39:07 +0100
On Thu, January 3, 2013 04:19, Christoph Anton Mitterer wrote:
> This is a follow up for #697108 and CVE-2012-6085.

Eric,

Thanks for fixing this in unstable. Can you also provide an update for
stable-security? Let me know if you prefer that we handle it.


Cheers,
Thijs



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#697251; Package gnupg2. (Fri, 04 Jan 2013 15:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Fri, 04 Jan 2013 15:45:06 GMT) Full text and rfc822 format available.

Message #30 received at 697251@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: 697251@bugs.debian.org
Cc: team@security.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Fri, 4 Jan 2013 16:41:55 +0100
On Fri, January 4, 2013 11:39, Thijs Kinkhorst wrote:
> On Thu, January 3, 2013 04:19, Christoph Anton Mitterer wrote:
>> This is a follow up for #697108 and CVE-2012-6085.
>
> Eric,
>
> Thanks for fixing this in unstable. Can you also provide an update for
> stable-security? Let me know if you prefer that we handle it.

As a heads up, I plan to work on DSA's for gnupg{,2} this weekend, I'll
apply the patch from the unstable upload, unless you object.


Cheers,
Thijs



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#697251; Package gnupg2. (Fri, 04 Jan 2013 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. (Fri, 04 Jan 2013 20:27:05 GMT) Full text and rfc822 format available.

Message #35 received at 697251@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Thijs Kinkhorst <thijs@debian.org>, 697251@bugs.debian.org
Cc: team@security.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Fri, 4 Jan 2013 15:24:31 -0500
[Message part 1 (text/plain, inline)]
* Thijs Kinkhorst (thijs@debian.org) wrote:
> On Thu, January 3, 2013 04:19, Christoph Anton Mitterer wrote:
> > This is a follow up for #697108 and CVE-2012-6085.
> 
> Eric,
> 
> Thanks for fixing this in unstable. Can you also provide an update for
> stable-security? Let me know if you prefer that we handle it.

Sorry I meant to do both last night but it got late. I'll prepare and
upload the stable-security update tonight.

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#697251; Package gnupg2. (Sat, 05 Jan 2013 07:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. (Sat, 05 Jan 2013 07:33:03 GMT) Full text and rfc822 format available.

Message #40 received at 697251@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Thijs Kinkhorst <thijs@debian.org>, 697251@bugs.debian.org
Cc: team@security.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Sat, 5 Jan 2013 02:30:14 -0500
[Message part 1 (text/plain, inline)]
* Thijs Kinkhorst (thijs@debian.org) wrote:
> On Fri, January 4, 2013 11:39, Thijs Kinkhorst wrote:
> > On Thu, January 3, 2013 04:19, Christoph Anton Mitterer wrote:
> >> This is a follow up for #697108 and CVE-2012-6085.
> >
> > Eric,
> >
> > Thanks for fixing this in unstable. Can you also provide an update for
> > stable-security? Let me know if you prefer that we handle it.
> 
> As a heads up, I plan to work on DSA's for gnupg{,2} this weekend, I'll
> apply the patch from the unstable upload, unless you object.

Attached is the debdiff for the stable security update. A little
bigger than one might want, but it wouldn't build with removing some
of this cruft. Let me know if it's ok and I'll upload it.

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com

[gnupg2_2.0.14-2+squeeze1.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#697251; Package gnupg2. (Sat, 05 Jan 2013 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Sat, 05 Jan 2013 14:21:06 GMT) Full text and rfc822 format available.

Message #45 received at 697251@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: "Eric Dorland" <eric@debian.org>
Cc: 697251@bugs.debian.org, team@security.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Sat, 5 Jan 2013 15:16:12 +0100
Hi Eric,

On Sat, January 5, 2013 08:30, Eric Dorland wrote:
> * Thijs Kinkhorst (thijs@debian.org) wrote:
>> On Fri, January 4, 2013 11:39, Thijs Kinkhorst wrote:
>> > On Thu, January 3, 2013 04:19, Christoph Anton Mitterer wrote:
>> >> This is a follow up for #697108 and CVE-2012-6085.
>> >
>> > Eric,
>> >
>> > Thanks for fixing this in unstable. Can you also provide an update for
>> > stable-security? Let me know if you prefer that we handle it.
>>
>> As a heads up, I plan to work on DSA's for gnupg{,2} this weekend, I'll
>> apply the patch from the unstable upload, unless you object.
>
> Attached is the debdiff for the stable security update. A little
> bigger than one might want, but it wouldn't build with removing some
> of this cruft. Let me know if it's ok and I'll upload it.

Thanks. Yes, please upload (and don't forget to build with "-sa" to
include the orig.tar.gz).


Cheers,
Thijs



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#697251; Package gnupg2. (Sat, 05 Jan 2013 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Sat, 05 Jan 2013 14:21:07 GMT) Full text and rfc822 format available.

Message #50 received at 697251@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: Eric Dorland <eric@debian.org>
Cc: 697251@bugs.debian.org, team@security.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Sat, 5 Jan 2013 15:19:47 +0100
[Message part 1 (text/plain, inline)]
Hi,
* Eric Dorland <eric@debian.org> [2013-01-05 14:02]:
> * Thijs Kinkhorst (thijs@debian.org) wrote:
> > On Fri, January 4, 2013 11:39, Thijs Kinkhorst wrote:
> > > On Thu, January 3, 2013 04:19, Christoph Anton Mitterer wrote:
> > >> This is a follow up for #697108 and CVE-2012-6085.
> > >
> > > Eric,
> > >
> > > Thanks for fixing this in unstable. Can you also provide an update for
> > > stable-security? Let me know if you prefer that we handle it.
> > 
> > As a heads up, I plan to work on DSA's for gnupg{,2} this weekend, I'll
> > apply the patch from the unstable upload, unless you object.
> 
> Attached is the debdiff for the stable security update. A little
> bigger than one might want, but it wouldn't build with removing some
> of this cruft. Let me know if it's ok and I'll upload it.

I can live with that cruft, please go ahead and upload. Thanks!

Nico
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#697251; Package gnupg2. (Sun, 06 Jan 2013 05:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Sun, 06 Jan 2013 05:42:03 GMT) Full text and rfc822 format available.

Message #55 received at 697251@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Nico Golde <nion@debian.org>,Eric Dorland <eric@debian.org>
Cc: 697251@bugs.debian.org,team@security.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Sun, 06 Jan 2013 00:38:14 -0500
[Message part 1 (text/plain, inline)]
Gah. I went out of town for Saturday and Sunday. I meant to upload before I left today but forgot. I just tried to now but I can't seem to reach my main Debian machine. So I won't be able to upload before Sunday night Eastern USA time. So if anyone wants to build it from the diff and upload feel free. 

Nico Golde <nion@debian.org> wrote:

>Hi,
>* Eric Dorland <eric@debian.org> [2013-01-05 14:02]:
>> * Thijs Kinkhorst (thijs@debian.org) wrote:
>> > On Fri, January 4, 2013 11:39, Thijs Kinkhorst wrote:
>> > > On Thu, January 3, 2013 04:19, Christoph Anton Mitterer wrote:
>> > >> This is a follow up for #697108 and CVE-2012-6085.
>> > >
>> > > Eric,
>> > >
>> > > Thanks for fixing this in unstable. Can you also provide an
>update for
>> > > stable-security? Let me know if you prefer that we handle it.
>> > 
>> > As a heads up, I plan to work on DSA's for gnupg{,2} this weekend,
>I'll
>> > apply the patch from the unstable upload, unless you object.
>> 
>> Attached is the debdiff for the stable security update. A little
>> bigger than one might want, but it wouldn't build with removing some
>> of this cruft. Let me know if it's ok and I'll upload it.
>
>I can live with that cruft, please go ahead and upload. Thanks!
>
>Nico

-- 
Sent from my Android phone with K-9 Mail. Please excuse my brevity.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#697251; Package gnupg2. (Sun, 06 Jan 2013 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Sun, 06 Jan 2013 09:54:03 GMT) Full text and rfc822 format available.

Message #60 received at 697251@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: "Eric Dorland" <eric@kuroneko.ca>
Cc: "Nico Golde" <nion@debian.org>, "Eric Dorland" <eric@debian.org>, 697251@bugs.debian.org, team@security.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Sun, 6 Jan 2013 10:51:39 +0100
On Sun, January 6, 2013 06:38, Eric Dorland wrote:
> Gah. I went out of town for Saturday and Sunday. I meant to upload before
> I left today but forgot. I just tried to now but I can't seem to reach my
> main Debian machine. So I won't be able to upload before Sunday night
> Eastern USA time. So if anyone wants to build it from the diff and upload
> feel free.

Doing so now.


Thijs



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#697251; Package gnupg2. (Mon, 07 Jan 2013 17:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. (Mon, 07 Jan 2013 17:57:07 GMT) Full text and rfc822 format available.

Message #65 received at 697251@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: Nico Golde <nion@debian.org>, 697251@bugs.debian.org, team@security.debian.org
Subject: Re: Bug#697251: gnupg2: gnupg key import memory corruption
Date: Mon, 7 Jan 2013 12:55:22 -0500
[Message part 1 (text/plain, inline)]
* Thijs Kinkhorst (thijs@debian.org) wrote:
> On Sun, January 6, 2013 06:38, Eric Dorland wrote:
> > Gah. I went out of town for Saturday and Sunday. I meant to upload before
> > I left today but forgot. I just tried to now but I can't seem to reach my
> > main Debian machine. So I won't be able to upload before Sunday night
> > Eastern USA time. So if anyone wants to build it from the diff and upload
> > feel free.
> 
> Doing so now.

Much appreciated.

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Feb 2013 07:26:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:12:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.